<html>
<head>
<title>OGRE: Ogre::ParticleSystemRendererFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParticleSystemRendererFactory.html">ParticleSystemRendererFactory</a></div>
<h1>Ogre::ParticleSystemRendererFactory Class Reference</h1><!-- doxytag: class="Ogre::ParticleSystemRendererFactory" --><!-- doxytag: inherits="Ogre::FactoryObj" -->Abstract class definition of a factory object for <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ParticleSystemRendererFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ParticleSystemRendererFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#3d8aef92fb9e0eac7ed41167fb686a10">getType</a> () const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the factory type.  <a href="#3d8aef92fb9e0eac7ed41167fb686a10"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#0a4a382d89b01a0c24e27b02af71153a">createInstance</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new object.  <a href="#0a4a382d89b01a0c24e27b02af71153a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#2cd5033cddd1a06f24cd02de9a0e9516">destroyInstance</a> (T *)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys an object which was created by this factory.  <a href="#2cd5033cddd1a06f24cd02de9a0e9516"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class definition of a factory object for <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a>. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00116">116</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="3d8aef92fb9e0eac7ed41167fb686a10"></a><!-- doxytag: member="Ogre::ParticleSystemRendererFactory::getType" ref="3d8aef92fb9e0eac7ed41167fb686a10" args="() const =0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the factory type. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The factory type. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html#0fd4d4cd6dbe59bdba7b1e72769a63e8">Ogre::BillboardParticleRendererFactory</a>, <a class="el" href="classOgre_1_1FileSystemArchiveFactory.html#4a5d1ea54b5f650ab5a8e117e4e64183">Ogre::FileSystemArchiveFactory</a>, and <a class="el" href="classOgre_1_1ZipArchiveFactory.html#109a6253d0f18523e11520d150ef37fc">Ogre::ZipArchiveFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="0a4a382d89b01a0c24e27b02af71153a"></a><!-- doxytag: member="Ogre::ParticleSystemRendererFactory::createInstance" ref="0a4a382d89b01a0c24e27b02af71153a" args="(const String &amp;name)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual T* <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::createInstance           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new object. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Name of the object to create </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>An object created by the factory. The type of the object depends on the factory. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html#bcd075e9f79664278929eae4fd3e5793">Ogre::BillboardParticleRendererFactory</a>, <a class="el" href="classOgre_1_1FileSystemArchiveFactory.html#1495b7d2570e2076059bbf42e751f072">Ogre::FileSystemArchiveFactory</a>, and <a class="el" href="classOgre_1_1ZipArchiveFactory.html#6cb4d739190da43608bcf7139c103e75">Ogre::ZipArchiveFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="2cd5033cddd1a06f24cd02de9a0e9516"></a><!-- doxytag: member="Ogre::ParticleSystemRendererFactory::destroyInstance" ref="2cd5033cddd1a06f24cd02de9a0e9516" args="(T *)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::destroyInstance           </td>
          <td>(</td>
          <td class="paramtype">T *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys an object which was created by this factory. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>ptr</em>&nbsp;</td><td>Pointer to the object to destroy </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:33 2008
</p>
</body>
</html>
